<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_74) on Wed Mar 02 13:32:42 CET 2016 -->
<title>HeartbeatLogData.Builder (QA API)</title>
<meta name="date" content="2016-03-02">
<link rel="stylesheet" type="text/css" href="../../../../../../../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../../../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="HeartbeatLogData.Builder (QA API)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":10,"i1":10,"i2":10,"i3":10,"i4":10,"i5":10,"i6":10,"i7":10,"i8":10,"i9":10,"i10":10,"i11":10,"i12":10,"i13":10,"i14":10,"i15":10,"i16":10,"i17":10,"i18":10,"i19":10,"i20":10,"i21":10,"i22":10,"i23":10,"i24":10,"i25":10,"i26":10,"i27":10,"i28":10,"i29":10,"i30":10,"i31":10,"i32":10,"i33":10,"i34":10,"i35":10,"i36":10,"i37":10,"i38":10,"i39":10,"i40":10};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../../../../../com/openbravo/test/integration/erp/data/generalsetup/application/heartbeatconfiguration/HeartbeatLogData.html" title="class in com.openbravo.test.integration.erp.data.generalsetup.application.heartbeatconfiguration"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../../../../../../../com/openbravo/test/integration/erp/data/generalsetup/application/heartbeatconfiguration/ResultsData.html" title="class in com.openbravo.test.integration.erp.data.generalsetup.application.heartbeatconfiguration"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../../../../../index.html?com/openbravo/test/integration/erp/data/generalsetup/application/heartbeatconfiguration/HeartbeatLogData.Builder.html" target="_top">Frames</a></li>
<li><a href="HeartbeatLogData.Builder.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">com.openbravo.test.integration.erp.data.generalsetup.application.heartbeatconfiguration</div>
<h2 title="Class HeartbeatLogData.Builder" class="title">Class HeartbeatLogData.Builder</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li><a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">java.lang.Object</a></li>
<li>
<ul class="inheritance">
<li>com.openbravo.test.integration.erp.data.generalsetup.application.heartbeatconfiguration.HeartbeatLogData.Builder</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<dl>
<dt>Enclosing class:</dt>
<dd><a href="../../../../../../../../../com/openbravo/test/integration/erp/data/generalsetup/application/heartbeatconfiguration/HeartbeatLogData.html" title="class in com.openbravo.test.integration.erp.data.generalsetup.application.heartbeatconfiguration">HeartbeatLogData</a></dd>
</dl>
<hr>
<br>
<pre>public static class <span class="typeNameLabel">HeartbeatLogData.Builder</span>
extends <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a></pre>
<div class="block">Class builder</div>
<dl>
<dt><span class="simpleTagLabel">Author:</span></dt>
<dd>plujan</dd>
</dl>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Constructor Summary table, listing constructors, and an explanation">
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Constructor and Description</th>
</tr>
<tr class="altColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../../../../../../com/openbravo/test/integration/erp/data/generalsetup/application/heartbeatconfiguration/HeartbeatLogData.Builder.html#Builder--">Builder</a></span>()</code>&nbsp;</td>
</tr>
</table>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a href="javascript:show(8);">Concrete Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code><a href="../../../../../../../../../com/openbravo/test/integration/erp/data/generalsetup/application/heartbeatconfiguration/HeartbeatLogData.Builder.html" title="class in com.openbravo.test.integration.erp.data.generalsetup.application.heartbeatconfiguration">HeartbeatLogData.Builder</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../com/openbravo/test/integration/erp/data/generalsetup/application/heartbeatconfiguration/HeartbeatLogData.Builder.html#activationKeyIdentifier-java.lang.String-">activationKeyIdentifier</a></span>(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;value)</code>
<div class="block">Set the activationKeyIdentifier value
 
 Description: It is an identifier for activation key</div>
</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code><a href="../../../../../../../../../com/openbravo/test/integration/erp/data/generalsetup/application/heartbeatconfiguration/HeartbeatLogData.Builder.html" title="class in com.openbravo.test.integration.erp.data.generalsetup.application.heartbeatconfiguration">HeartbeatLogData.Builder</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../com/openbravo/test/integration/erp/data/generalsetup/application/heartbeatconfiguration/HeartbeatLogData.Builder.html#activityRate-java.lang.String-">activityRate</a></span>(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;value)</code>
<div class="block">Set the activityRate value
 
 Description: The rate of activity within the system.</div>
</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code><a href="../../../../../../../../../com/openbravo/test/integration/erp/data/generalsetup/application/heartbeatconfiguration/HeartbeatLogData.Builder.html" title="class in com.openbravo.test.integration.erp.data.generalsetup.application.heartbeatconfiguration">HeartbeatLogData.Builder</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../com/openbravo/test/integration/erp/data/generalsetup/application/heartbeatconfiguration/HeartbeatLogData.Builder.html#antVersion-java.lang.String-">antVersion</a></span>(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;value)</code>
<div class="block">Set the antVersion value
 
 Description: The version of Ant used to build the application.</div>
</td>
</tr>
<tr id="i3" class="rowColor">
<td class="colFirst"><code><a href="../../../../../../../../../com/openbravo/test/integration/erp/data/generalsetup/application/heartbeatconfiguration/HeartbeatLogData.Builder.html" title="class in com.openbravo.test.integration.erp.data.generalsetup.application.heartbeatconfiguration">HeartbeatLogData.Builder</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../com/openbravo/test/integration/erp/data/generalsetup/application/heartbeatconfiguration/HeartbeatLogData.Builder.html#beatType-java.lang.String-">beatType</a></span>(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;value)</code>
<div class="block">Set the beatType value
 
 Description: Type of beat</div>
</td>
</tr>
<tr id="i4" class="altColor">
<td class="colFirst"><code><a href="../../../../../../../../../com/openbravo/test/integration/erp/data/generalsetup/application/heartbeatconfiguration/HeartbeatLogData.html" title="class in com.openbravo.test.integration.erp.data.generalsetup.application.heartbeatconfiguration">HeartbeatLogData</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../com/openbravo/test/integration/erp/data/generalsetup/application/heartbeatconfiguration/HeartbeatLogData.Builder.html#build--">build</a></span>()</code>
<div class="block">Build the data object.</div>
</td>
</tr>
<tr id="i5" class="rowColor">
<td class="colFirst"><code><a href="../../../../../../../../../com/openbravo/test/integration/erp/data/generalsetup/application/heartbeatconfiguration/HeartbeatLogData.Builder.html" title="class in com.openbravo.test.integration.erp.data.generalsetup.application.heartbeatconfiguration">HeartbeatLogData.Builder</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../com/openbravo/test/integration/erp/data/generalsetup/application/heartbeatconfiguration/HeartbeatLogData.Builder.html#codeRevision-java.lang.String-">codeRevision</a></span>(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;value)</code>
<div class="block">Set the codeRevision value
 
 Description: The code revision of the installed system</div>
</td>
</tr>
<tr id="i6" class="altColor">
<td class="colFirst"><code><a href="../../../../../../../../../com/openbravo/test/integration/erp/data/generalsetup/application/heartbeatconfiguration/HeartbeatLogData.Builder.html" title="class in com.openbravo.test.integration.erp.data.generalsetup.application.heartbeatconfiguration">HeartbeatLogData.Builder</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../com/openbravo/test/integration/erp/data/generalsetup/application/heartbeatconfiguration/HeartbeatLogData.Builder.html#complexityRate-java.lang.String-">complexityRate</a></span>(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;value)</code>
<div class="block">Set the complexityRate value
 
 Description: The rate of complexity within the system.</div>
</td>
</tr>
<tr id="i7" class="rowColor">
<td class="colFirst"><code><a href="../../../../../../../../../com/openbravo/test/integration/erp/data/generalsetup/application/heartbeatconfiguration/HeartbeatLogData.Builder.html" title="class in com.openbravo.test.integration.erp.data.generalsetup.application.heartbeatconfiguration">HeartbeatLogData.Builder</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../com/openbravo/test/integration/erp/data/generalsetup/application/heartbeatconfiguration/HeartbeatLogData.Builder.html#concurrentUsersAverage-java.lang.String-">concurrentUsersAverage</a></span>(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;value)</code>
<div class="block">Set the concurrentUsersAverage value
 
 Description: Average number of concurrent users during last 30 days</div>
</td>
</tr>
<tr id="i8" class="altColor">
<td class="colFirst"><code><a href="../../../../../../../../../com/openbravo/test/integration/erp/data/generalsetup/application/heartbeatconfiguration/HeartbeatLogData.Builder.html" title="class in com.openbravo.test.integration.erp.data.generalsetup.application.heartbeatconfiguration">HeartbeatLogData.Builder</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../com/openbravo/test/integration/erp/data/generalsetup/application/heartbeatconfiguration/HeartbeatLogData.Builder.html#creationDate-java.lang.String-">creationDate</a></span>(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;value)</code>
<div class="block">Set the creationDate value
 
 Description: The date that this record is completed.</div>
</td>
</tr>
<tr id="i9" class="rowColor">
<td class="colFirst"><code><a href="../../../../../../../../../com/openbravo/test/integration/erp/data/generalsetup/application/heartbeatconfiguration/HeartbeatLogData.Builder.html" title="class in com.openbravo.test.integration.erp.data.generalsetup.application.heartbeatconfiguration">HeartbeatLogData.Builder</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../com/openbravo/test/integration/erp/data/generalsetup/application/heartbeatconfiguration/HeartbeatLogData.Builder.html#database-java.lang.String-">database</a></span>(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;value)</code>
<div class="block">Set the database value
 
 Description: The database in use by the system.</div>
</td>
</tr>
<tr id="i10" class="altColor">
<td class="colFirst"><code><a href="../../../../../../../../../com/openbravo/test/integration/erp/data/generalsetup/application/heartbeatconfiguration/HeartbeatLogData.Builder.html" title="class in com.openbravo.test.integration.erp.data.generalsetup.application.heartbeatconfiguration">HeartbeatLogData.Builder</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../com/openbravo/test/integration/erp/data/generalsetup/application/heartbeatconfiguration/HeartbeatLogData.Builder.html#databaseIdentifier-java.lang.String-">databaseIdentifier</a></span>(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;value)</code>
<div class="block">Set the databaseIdentifier value
 
 Description: Unique Identifier of the instance's database</div>
</td>
</tr>
<tr id="i11" class="rowColor">
<td class="colFirst"><code><a href="../../../../../../../../../com/openbravo/test/integration/erp/data/generalsetup/application/heartbeatconfiguration/HeartbeatLogData.Builder.html" title="class in com.openbravo.test.integration.erp.data.generalsetup.application.heartbeatconfiguration">HeartbeatLogData.Builder</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../com/openbravo/test/integration/erp/data/generalsetup/application/heartbeatconfiguration/HeartbeatLogData.Builder.html#databaseVersion-java.lang.String-">databaseVersion</a></span>(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;value)</code>
<div class="block">Set the databaseVersion value
 
 Description: The version of database.</div>
</td>
</tr>
<tr id="i12" class="altColor">
<td class="colFirst"><code><a href="../../../../../../../../../com/openbravo/test/integration/erp/data/generalsetup/application/heartbeatconfiguration/HeartbeatLogData.Builder.html" title="class in com.openbravo.test.integration.erp.data.generalsetup.application.heartbeatconfiguration">HeartbeatLogData.Builder</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../com/openbravo/test/integration/erp/data/generalsetup/application/heartbeatconfiguration/HeartbeatLogData.Builder.html#enableCustomQueries-java.lang.Boolean-">enableCustomQueries</a></span>(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Boolean.html?is-external=true" title="class or interface in java.lang">Boolean</a>&nbsp;value)</code>
<div class="block">Set the enableCustomQueries value
 
 Description: Send Custom Queries to Heartbeat</div>
</td>
</tr>
<tr id="i13" class="rowColor">
<td class="colFirst"><code><a href="../../../../../../../../../com/openbravo/test/integration/erp/data/generalsetup/application/heartbeatconfiguration/HeartbeatLogData.Builder.html" title="class in com.openbravo.test.integration.erp.data.generalsetup.application.heartbeatconfiguration">HeartbeatLogData.Builder</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../com/openbravo/test/integration/erp/data/generalsetup/application/heartbeatconfiguration/HeartbeatLogData.Builder.html#firstLogin-java.lang.String-">firstLogin</a></span>(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;value)</code>
<div class="block">Set the firstLogin value
 
 Description: Date of first login in the application</div>
</td>
</tr>
<tr id="i14" class="altColor">
<td class="colFirst"><code><a href="../../../../../../../../../com/openbravo/test/integration/erp/data/generalsetup/application/heartbeatconfiguration/HeartbeatLogData.Builder.html" title="class in com.openbravo.test.integration.erp.data.generalsetup.application.heartbeatconfiguration">HeartbeatLogData.Builder</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../com/openbravo/test/integration/erp/data/generalsetup/application/heartbeatconfiguration/HeartbeatLogData.Builder.html#installedModules-java.lang.String-">installedModules</a></span>(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;value)</code>
<div class="block">Set the installedModules value
 
 Description: List of the modules installed in the instance</div>
</td>
</tr>
<tr id="i15" class="rowColor">
<td class="colFirst"><code><a href="../../../../../../../../../com/openbravo/test/integration/erp/data/generalsetup/application/heartbeatconfiguration/HeartbeatLogData.Builder.html" title="class in com.openbravo.test.integration.erp.data.generalsetup.application.heartbeatconfiguration">HeartbeatLogData.Builder</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../com/openbravo/test/integration/erp/data/generalsetup/application/heartbeatconfiguration/HeartbeatLogData.Builder.html#instanceNumber-java.lang.String-">instanceNumber</a></span>(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;value)</code>
<div class="block">Set the instanceNumber value
 
 Description: Professional Edition Instance Number</div>
</td>
</tr>
<tr id="i16" class="altColor">
<td class="colFirst"><code><a href="../../../../../../../../../com/openbravo/test/integration/erp/data/generalsetup/application/heartbeatconfiguration/HeartbeatLogData.Builder.html" title="class in com.openbravo.test.integration.erp.data.generalsetup.application.heartbeatconfiguration">HeartbeatLogData.Builder</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../com/openbravo/test/integration/erp/data/generalsetup/application/heartbeatconfiguration/HeartbeatLogData.Builder.html#instancePurpose-java.lang.String-">instancePurpose</a></span>(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;value)</code>
<div class="block">Set the instancePurpose value
 
 Description: Instance Purpose</div>
</td>
</tr>
<tr id="i17" class="rowColor">
<td class="colFirst"><code><a href="../../../../../../../../../com/openbravo/test/integration/erp/data/generalsetup/application/heartbeatconfiguration/HeartbeatLogData.Builder.html" title="class in com.openbravo.test.integration.erp.data.generalsetup.application.heartbeatconfiguration">HeartbeatLogData.Builder</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../com/openbravo/test/integration/erp/data/generalsetup/application/heartbeatconfiguration/HeartbeatLogData.Builder.html#javaVersion-java.lang.String-">javaVersion</a></span>(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;value)</code>
<div class="block">Set the javaVersion value
 
 Description: Java Version</div>
</td>
</tr>
<tr id="i18" class="altColor">
<td class="colFirst"><code><a href="../../../../../../../../../com/openbravo/test/integration/erp/data/generalsetup/application/heartbeatconfiguration/HeartbeatLogData.Builder.html" title="class in com.openbravo.test.integration.erp.data.generalsetup.application.heartbeatconfiguration">HeartbeatLogData.Builder</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../com/openbravo/test/integration/erp/data/generalsetup/application/heartbeatconfiguration/HeartbeatLogData.Builder.html#lastLogin-java.lang.String-">lastLogin</a></span>(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;value)</code>
<div class="block">Set the lastLogin value
 
 Description: Date of last login in the application</div>
</td>
</tr>
<tr id="i19" class="rowColor">
<td class="colFirst"><code><a href="../../../../../../../../../com/openbravo/test/integration/erp/data/generalsetup/application/heartbeatconfiguration/HeartbeatLogData.Builder.html" title="class in com.openbravo.test.integration.erp.data.generalsetup.application.heartbeatconfiguration">HeartbeatLogData.Builder</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../com/openbravo/test/integration/erp/data/generalsetup/application/heartbeatconfiguration/HeartbeatLogData.Builder.html#macIdentifier-java.lang.String-">macIdentifier</a></span>(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;value)</code>
<div class="block">Set the macIdentifier value
 
 Description: Mac Address Identifier</div>
</td>
</tr>
<tr id="i20" class="altColor">
<td class="colFirst"><code><a href="../../../../../../../../../com/openbravo/test/integration/erp/data/generalsetup/application/heartbeatconfiguration/HeartbeatLogData.Builder.html" title="class in com.openbravo.test.integration.erp.data.generalsetup.application.heartbeatconfiguration">HeartbeatLogData.Builder</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../com/openbravo/test/integration/erp/data/generalsetup/application/heartbeatconfiguration/HeartbeatLogData.Builder.html#maximumConcurrentUsers-java.lang.String-">maximumConcurrentUsers</a></span>(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;value)</code>
<div class="block">Set the maximumConcurrentUsers value
 
 Description: Maximum number of concurrent users during last 30 days</div>
</td>
</tr>
<tr id="i21" class="rowColor">
<td class="colFirst"><code><a href="../../../../../../../../../com/openbravo/test/integration/erp/data/generalsetup/application/heartbeatconfiguration/HeartbeatLogData.Builder.html" title="class in com.openbravo.test.integration.erp.data.generalsetup.application.heartbeatconfiguration">HeartbeatLogData.Builder</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../com/openbravo/test/integration/erp/data/generalsetup/application/heartbeatconfiguration/HeartbeatLogData.Builder.html#numberOfClients-java.lang.String-">numberOfClients</a></span>(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;value)</code>
<div class="block">Set the numberOfClients value
 
 Description: Total number of clients in the instance.</div>
</td>
</tr>
<tr id="i22" class="altColor">
<td class="colFirst"><code><a href="../../../../../../../../../com/openbravo/test/integration/erp/data/generalsetup/application/heartbeatconfiguration/HeartbeatLogData.Builder.html" title="class in com.openbravo.test.integration.erp.data.generalsetup.application.heartbeatconfiguration">HeartbeatLogData.Builder</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../com/openbravo/test/integration/erp/data/generalsetup/application/heartbeatconfiguration/HeartbeatLogData.Builder.html#numberOfOrganizations-java.lang.String-">numberOfOrganizations</a></span>(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;value)</code>
<div class="block">Set the numberOfOrganizations value
 
 Description: Total number of organizations in the instance.</div>
</td>
</tr>
<tr id="i23" class="rowColor">
<td class="colFirst"><code><a href="../../../../../../../../../com/openbravo/test/integration/erp/data/generalsetup/application/heartbeatconfiguration/HeartbeatLogData.Builder.html" title="class in com.openbravo.test.integration.erp.data.generalsetup.application.heartbeatconfiguration">HeartbeatLogData.Builder</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../com/openbravo/test/integration/erp/data/generalsetup/application/heartbeatconfiguration/HeartbeatLogData.Builder.html#numberOfRegisteredUsers-java.lang.String-">numberOfRegisteredUsers</a></span>(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;value)</code>
<div class="block">Set the numberOfRegisteredUsers value
 
 Description: Number of registered users.</div>
</td>
</tr>
<tr id="i24" class="altColor">
<td class="colFirst"><code><a href="../../../../../../../../../com/openbravo/test/integration/erp/data/generalsetup/application/heartbeatconfiguration/HeartbeatLogData.Builder.html" title="class in com.openbravo.test.integration.erp.data.generalsetup.application.heartbeatconfiguration">HeartbeatLogData.Builder</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../com/openbravo/test/integration/erp/data/generalsetup/application/heartbeatconfiguration/HeartbeatLogData.Builder.html#openbravoInstallMode-java.lang.String-">openbravoInstallMode</a></span>(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;value)</code>
<div class="block">Set the openbravoInstallMode value
 
 Description: The method used to install Openbravo.</div>
</td>
</tr>
<tr id="i25" class="rowColor">
<td class="colFirst"><code><a href="../../../../../../../../../com/openbravo/test/integration/erp/data/generalsetup/application/heartbeatconfiguration/HeartbeatLogData.Builder.html" title="class in com.openbravo.test.integration.erp.data.generalsetup.application.heartbeatconfiguration">HeartbeatLogData.Builder</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../com/openbravo/test/integration/erp/data/generalsetup/application/heartbeatconfiguration/HeartbeatLogData.Builder.html#openbravoVersion-java.lang.String-">openbravoVersion</a></span>(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;value)</code>
<div class="block">Set the openbravoVersion value
 
 Description: The version of Openbravo.</div>
</td>
</tr>
<tr id="i26" class="altColor">
<td class="colFirst"><code><a href="../../../../../../../../../com/openbravo/test/integration/erp/data/generalsetup/application/heartbeatconfiguration/HeartbeatLogData.Builder.html" title="class in com.openbravo.test.integration.erp.data.generalsetup.application.heartbeatconfiguration">HeartbeatLogData.Builder</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../com/openbravo/test/integration/erp/data/generalsetup/application/heartbeatconfiguration/HeartbeatLogData.Builder.html#operatingSystem-java.lang.String-">operatingSystem</a></span>(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;value)</code>
<div class="block">Set the operatingSystem value
 
 Description: The type of Operating System.</div>
</td>
</tr>
<tr id="i27" class="rowColor">
<td class="colFirst"><code><a href="../../../../../../../../../com/openbravo/test/integration/erp/data/generalsetup/application/heartbeatconfiguration/HeartbeatLogData.Builder.html" title="class in com.openbravo.test.integration.erp.data.generalsetup.application.heartbeatconfiguration">HeartbeatLogData.Builder</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../com/openbravo/test/integration/erp/data/generalsetup/application/heartbeatconfiguration/HeartbeatLogData.Builder.html#operatingSystemVersion-java.lang.String-">operatingSystemVersion</a></span>(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;value)</code>
<div class="block">Set the operatingSystemVersion value
 
 Description: The version of Operating System.</div>
</td>
</tr>
<tr id="i28" class="altColor">
<td class="colFirst"><code><a href="../../../../../../../../../com/openbravo/test/integration/erp/data/generalsetup/application/heartbeatconfiguration/HeartbeatLogData.Builder.html" title="class in com.openbravo.test.integration.erp.data.generalsetup.application.heartbeatconfiguration">HeartbeatLogData.Builder</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../com/openbravo/test/integration/erp/data/generalsetup/application/heartbeatconfiguration/HeartbeatLogData.Builder.html#proxyPort-java.lang.String-">proxyPort</a></span>(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;value)</code>
<div class="block">Set the proxyPort value
 
 Description: Proxy port on the proxy server used to access the internet.</div>
</td>
</tr>
<tr id="i29" class="rowColor">
<td class="colFirst"><code><a href="../../../../../../../../../com/openbravo/test/integration/erp/data/generalsetup/application/heartbeatconfiguration/HeartbeatLogData.Builder.html" title="class in com.openbravo.test.integration.erp.data.generalsetup.application.heartbeatconfiguration">HeartbeatLogData.Builder</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../com/openbravo/test/integration/erp/data/generalsetup/application/heartbeatconfiguration/HeartbeatLogData.Builder.html#proxyRequired-java.lang.Boolean-">proxyRequired</a></span>(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Boolean.html?is-external=true" title="class or interface in java.lang">Boolean</a>&nbsp;value)</code>
<div class="block">Set the proxyRequired value
 
 Description: Proxy configuration required to access internet.</div>
</td>
</tr>
<tr id="i30" class="altColor">
<td class="colFirst"><code><a href="../../../../../../../../../com/openbravo/test/integration/erp/data/generalsetup/application/heartbeatconfiguration/HeartbeatLogData.Builder.html" title="class in com.openbravo.test.integration.erp.data.generalsetup.application.heartbeatconfiguration">HeartbeatLogData.Builder</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../com/openbravo/test/integration/erp/data/generalsetup/application/heartbeatconfiguration/HeartbeatLogData.Builder.html#proxyServer-java.lang.String-">proxyServer</a></span>(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;value)</code>
<div class="block">Set the proxyServer value
 
 Description: Proxy server used to access the internet.</div>
</td>
</tr>
<tr id="i31" class="rowColor">
<td class="colFirst"><code><a href="../../../../../../../../../com/openbravo/test/integration/erp/data/generalsetup/application/heartbeatconfiguration/HeartbeatLogData.Builder.html" title="class in com.openbravo.test.integration.erp.data.generalsetup.application.heartbeatconfiguration">HeartbeatLogData.Builder</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../com/openbravo/test/integration/erp/data/generalsetup/application/heartbeatconfiguration/HeartbeatLogData.Builder.html#rejectedLoginsDueConcUsers-java.lang.String-">rejectedLoginsDueConcUsers</a></span>(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;value)</code>
<div class="block">Set the rejectedLoginsDueConcUsers value
 
 Description: Rejected_Logins_Due_Conc_Users</div>
</td>
</tr>
<tr id="i32" class="altColor">
<td class="colFirst"><code><a href="../../../../../../../../../com/openbravo/test/integration/erp/data/generalsetup/application/heartbeatconfiguration/HeartbeatLogData.Builder.html" title="class in com.openbravo.test.integration.erp.data.generalsetup.application.heartbeatconfiguration">HeartbeatLogData.Builder</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../com/openbravo/test/integration/erp/data/generalsetup/application/heartbeatconfiguration/HeartbeatLogData.Builder.html#servletContainer-java.lang.String-">servletContainer</a></span>(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;value)</code>
<div class="block">Set the servletContainer value
 
 Description: The type of servlet container Openbravo runs in.</div>
</td>
</tr>
<tr id="i33" class="rowColor">
<td class="colFirst"><code><a href="../../../../../../../../../com/openbravo/test/integration/erp/data/generalsetup/application/heartbeatconfiguration/HeartbeatLogData.Builder.html" title="class in com.openbravo.test.integration.erp.data.generalsetup.application.heartbeatconfiguration">HeartbeatLogData.Builder</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../com/openbravo/test/integration/erp/data/generalsetup/application/heartbeatconfiguration/HeartbeatLogData.Builder.html#servletContainerVersion-java.lang.String-">servletContainerVersion</a></span>(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;value)</code>
<div class="block">Set the servletContainerVersion value
 
 Description: The version of Servlet Container Openbravo runs in.</div>
</td>
</tr>
<tr id="i34" class="altColor">
<td class="colFirst"><code><a href="../../../../../../../../../com/openbravo/test/integration/erp/data/generalsetup/application/heartbeatconfiguration/HeartbeatLogData.Builder.html" title="class in com.openbravo.test.integration.erp.data.generalsetup.application.heartbeatconfiguration">HeartbeatLogData.Builder</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../com/openbravo/test/integration/erp/data/generalsetup/application/heartbeatconfiguration/HeartbeatLogData.Builder.html#systemIdentifier-java.lang.String-">systemIdentifier</a></span>(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;value)</code>
<div class="block">Set the systemIdentifier value
 
 Description: Unique ID identying this instance of Openbravo.</div>
</td>
</tr>
<tr id="i35" class="rowColor">
<td class="colFirst"><code><a href="../../../../../../../../../com/openbravo/test/integration/erp/data/generalsetup/application/heartbeatconfiguration/HeartbeatLogData.Builder.html" title="class in com.openbravo.test.integration.erp.data.generalsetup.application.heartbeatconfiguration">HeartbeatLogData.Builder</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../com/openbravo/test/integration/erp/data/generalsetup/application/heartbeatconfiguration/HeartbeatLogData.Builder.html#totalLogins-java.lang.String-">totalLogins</a></span>(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;value)</code>
<div class="block">Set the totalLogins value
 
 Description: Total number of logins</div>
</td>
</tr>
<tr id="i36" class="altColor">
<td class="colFirst"><code><a href="../../../../../../../../../com/openbravo/test/integration/erp/data/generalsetup/application/heartbeatconfiguration/HeartbeatLogData.Builder.html" title="class in com.openbravo.test.integration.erp.data.generalsetup.application.heartbeatconfiguration">HeartbeatLogData.Builder</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../com/openbravo/test/integration/erp/data/generalsetup/application/heartbeatconfiguration/HeartbeatLogData.Builder.html#totalLoginsLastMonth-java.lang.String-">totalLoginsLastMonth</a></span>(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;value)</code>
<div class="block">Set the totalLoginsLastMonth value
 
 Description: Total number of logins during last 30 days</div>
</td>
</tr>
<tr id="i37" class="rowColor">
<td class="colFirst"><code><a href="../../../../../../../../../com/openbravo/test/integration/erp/data/generalsetup/application/heartbeatconfiguration/HeartbeatLogData.Builder.html" title="class in com.openbravo.test.integration.erp.data.generalsetup.application.heartbeatconfiguration">HeartbeatLogData.Builder</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../com/openbravo/test/integration/erp/data/generalsetup/application/heartbeatconfiguration/HeartbeatLogData.Builder.html#usageAuditEnabled-java.lang.Boolean-">usageAuditEnabled</a></span>(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Boolean.html?is-external=true" title="class or interface in java.lang">Boolean</a>&nbsp;value)</code>
<div class="block">Set the usageAuditEnabled value
 
 Description: Is Usage Audit Enbled</div>
</td>
</tr>
<tr id="i38" class="altColor">
<td class="colFirst"><code><a href="../../../../../../../../../com/openbravo/test/integration/erp/data/generalsetup/application/heartbeatconfiguration/HeartbeatLogData.Builder.html" title="class in com.openbravo.test.integration.erp.data.generalsetup.application.heartbeatconfiguration">HeartbeatLogData.Builder</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../com/openbravo/test/integration/erp/data/generalsetup/application/heartbeatconfiguration/HeartbeatLogData.Builder.html#usagePercentage-java.lang.String-">usagePercentage</a></span>(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;value)</code>
<div class="block">Set the usagePercentage value
 
 Description: Percentage of time the instance has been in use (at least one session active)
 during last 30 days.</div>
</td>
</tr>
<tr id="i39" class="rowColor">
<td class="colFirst"><code><a href="../../../../../../../../../com/openbravo/test/integration/erp/data/generalsetup/application/heartbeatconfiguration/HeartbeatLogData.Builder.html" title="class in com.openbravo.test.integration.erp.data.generalsetup.application.heartbeatconfiguration">HeartbeatLogData.Builder</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../com/openbravo/test/integration/erp/data/generalsetup/application/heartbeatconfiguration/HeartbeatLogData.Builder.html#webServer-java.lang.String-">webServer</a></span>(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;value)</code>
<div class="block">Set the webServer value
 
 Description: The Web Server being used by Openbravo</div>
</td>
</tr>
<tr id="i40" class="altColor">
<td class="colFirst"><code><a href="../../../../../../../../../com/openbravo/test/integration/erp/data/generalsetup/application/heartbeatconfiguration/HeartbeatLogData.Builder.html" title="class in com.openbravo.test.integration.erp.data.generalsetup.application.heartbeatconfiguration">HeartbeatLogData.Builder</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../com/openbravo/test/integration/erp/data/generalsetup/application/heartbeatconfiguration/HeartbeatLogData.Builder.html#webServerVersion-java.lang.String-">webServerVersion</a></span>(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;value)</code>
<div class="block">Set the webServerVersion value
 
 Description: The version of Web Server</div>
</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a></h3>
<code><a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#clone--" title="class or interface in java.lang">clone</a>, <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#equals-java.lang.Object-" title="class or interface in java.lang">equals</a>, <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#finalize--" title="class or interface in java.lang">finalize</a>, <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#getClass--" title="class or interface in java.lang">getClass</a>, <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#hashCode--" title="class or interface in java.lang">hashCode</a>, <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#notify--" title="class or interface in java.lang">notify</a>, <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#notifyAll--" title="class or interface in java.lang">notifyAll</a>, <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#toString--" title="class or interface in java.lang">toString</a>, <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#wait--" title="class or interface in java.lang">wait</a>, <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#wait-long-" title="class or interface in java.lang">wait</a>, <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#wait-long-int-" title="class or interface in java.lang">wait</a></code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a name="Builder--">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>Builder</h4>
<pre>public&nbsp;Builder()</pre>
</li>
</ul>
</li>
</ul>
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="instanceNumber-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>instanceNumber</h4>
<pre>public&nbsp;<a href="../../../../../../../../../com/openbravo/test/integration/erp/data/generalsetup/application/heartbeatconfiguration/HeartbeatLogData.Builder.html" title="class in com.openbravo.test.integration.erp.data.generalsetup.application.heartbeatconfiguration">HeartbeatLogData.Builder</a>&nbsp;instanceNumber(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;value)</pre>
<div class="block">Set the instanceNumber value
 
 Description: Professional Edition Instance Number</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>value</code> - The instanceNumber value.</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The builder for this class.</dd>
</dl>
</li>
</ul>
<a name="enableCustomQueries-java.lang.Boolean-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>enableCustomQueries</h4>
<pre>public&nbsp;<a href="../../../../../../../../../com/openbravo/test/integration/erp/data/generalsetup/application/heartbeatconfiguration/HeartbeatLogData.Builder.html" title="class in com.openbravo.test.integration.erp.data.generalsetup.application.heartbeatconfiguration">HeartbeatLogData.Builder</a>&nbsp;enableCustomQueries(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Boolean.html?is-external=true" title="class or interface in java.lang">Boolean</a>&nbsp;value)</pre>
<div class="block">Set the enableCustomQueries value
 
 Description: Send Custom Queries to Heartbeat</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>value</code> - The enableCustomQueries value.</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The builder for this class.</dd>
</dl>
</li>
</ul>
<a name="rejectedLoginsDueConcUsers-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>rejectedLoginsDueConcUsers</h4>
<pre>public&nbsp;<a href="../../../../../../../../../com/openbravo/test/integration/erp/data/generalsetup/application/heartbeatconfiguration/HeartbeatLogData.Builder.html" title="class in com.openbravo.test.integration.erp.data.generalsetup.application.heartbeatconfiguration">HeartbeatLogData.Builder</a>&nbsp;rejectedLoginsDueConcUsers(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;value)</pre>
<div class="block">Set the rejectedLoginsDueConcUsers value
 
 Description: Rejected_Logins_Due_Conc_Users</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>value</code> - The rejectedLoginsDueConcUsers value.</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The builder for this class.</dd>
</dl>
</li>
</ul>
<a name="instancePurpose-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>instancePurpose</h4>
<pre>public&nbsp;<a href="../../../../../../../../../com/openbravo/test/integration/erp/data/generalsetup/application/heartbeatconfiguration/HeartbeatLogData.Builder.html" title="class in com.openbravo.test.integration.erp.data.generalsetup.application.heartbeatconfiguration">HeartbeatLogData.Builder</a>&nbsp;instancePurpose(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;value)</pre>
<div class="block">Set the instancePurpose value
 
 Description: Instance Purpose</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>value</code> - The instancePurpose value.</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The builder for this class.</dd>
</dl>
</li>
</ul>
<a name="usageAuditEnabled-java.lang.Boolean-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>usageAuditEnabled</h4>
<pre>public&nbsp;<a href="../../../../../../../../../com/openbravo/test/integration/erp/data/generalsetup/application/heartbeatconfiguration/HeartbeatLogData.Builder.html" title="class in com.openbravo.test.integration.erp.data.generalsetup.application.heartbeatconfiguration">HeartbeatLogData.Builder</a>&nbsp;usageAuditEnabled(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Boolean.html?is-external=true" title="class or interface in java.lang">Boolean</a>&nbsp;value)</pre>
<div class="block">Set the usageAuditEnabled value
 
 Description: Is Usage Audit Enbled</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>value</code> - The usageAuditEnabled value.</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The builder for this class.</dd>
</dl>
</li>
</ul>
<a name="numberOfOrganizations-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>numberOfOrganizations</h4>
<pre>public&nbsp;<a href="../../../../../../../../../com/openbravo/test/integration/erp/data/generalsetup/application/heartbeatconfiguration/HeartbeatLogData.Builder.html" title="class in com.openbravo.test.integration.erp.data.generalsetup.application.heartbeatconfiguration">HeartbeatLogData.Builder</a>&nbsp;numberOfOrganizations(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;value)</pre>
<div class="block">Set the numberOfOrganizations value
 
 Description: Total number of organizations in the instance.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>value</code> - The numberOfOrganizations value.</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The builder for this class.</dd>
</dl>
</li>
</ul>
<a name="numberOfClients-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>numberOfClients</h4>
<pre>public&nbsp;<a href="../../../../../../../../../com/openbravo/test/integration/erp/data/generalsetup/application/heartbeatconfiguration/HeartbeatLogData.Builder.html" title="class in com.openbravo.test.integration.erp.data.generalsetup.application.heartbeatconfiguration">HeartbeatLogData.Builder</a>&nbsp;numberOfClients(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;value)</pre>
<div class="block">Set the numberOfClients value
 
 Description: Total number of clients in the instance.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>value</code> - The numberOfClients value.</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The builder for this class.</dd>
</dl>
</li>
</ul>
<a name="maximumConcurrentUsers-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>maximumConcurrentUsers</h4>
<pre>public&nbsp;<a href="../../../../../../../../../com/openbravo/test/integration/erp/data/generalsetup/application/heartbeatconfiguration/HeartbeatLogData.Builder.html" title="class in com.openbravo.test.integration.erp.data.generalsetup.application.heartbeatconfiguration">HeartbeatLogData.Builder</a>&nbsp;maximumConcurrentUsers(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;value)</pre>
<div class="block">Set the maximumConcurrentUsers value
 
 Description: Maximum number of concurrent users during last 30 days</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>value</code> - The maximumConcurrentUsers value.</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The builder for this class.</dd>
</dl>
</li>
</ul>
<a name="usagePercentage-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>usagePercentage</h4>
<pre>public&nbsp;<a href="../../../../../../../../../com/openbravo/test/integration/erp/data/generalsetup/application/heartbeatconfiguration/HeartbeatLogData.Builder.html" title="class in com.openbravo.test.integration.erp.data.generalsetup.application.heartbeatconfiguration">HeartbeatLogData.Builder</a>&nbsp;usagePercentage(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;value)</pre>
<div class="block">Set the usagePercentage value
 
 Description: Percentage of time the instance has been in use (at least one session active)
 during last 30 days.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>value</code> - The usagePercentage value.</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The builder for this class.</dd>
</dl>
</li>
</ul>
<a name="totalLoginsLastMonth-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>totalLoginsLastMonth</h4>
<pre>public&nbsp;<a href="../../../../../../../../../com/openbravo/test/integration/erp/data/generalsetup/application/heartbeatconfiguration/HeartbeatLogData.Builder.html" title="class in com.openbravo.test.integration.erp.data.generalsetup.application.heartbeatconfiguration">HeartbeatLogData.Builder</a>&nbsp;totalLoginsLastMonth(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;value)</pre>
<div class="block">Set the totalLoginsLastMonth value
 
 Description: Total number of logins during last 30 days</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>value</code> - The totalLoginsLastMonth value.</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The builder for this class.</dd>
</dl>
</li>
</ul>
<a name="concurrentUsersAverage-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>concurrentUsersAverage</h4>
<pre>public&nbsp;<a href="../../../../../../../../../com/openbravo/test/integration/erp/data/generalsetup/application/heartbeatconfiguration/HeartbeatLogData.Builder.html" title="class in com.openbravo.test.integration.erp.data.generalsetup.application.heartbeatconfiguration">HeartbeatLogData.Builder</a>&nbsp;concurrentUsersAverage(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;value)</pre>
<div class="block">Set the concurrentUsersAverage value
 
 Description: Average number of concurrent users during last 30 days</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>value</code> - The concurrentUsersAverage value.</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The builder for this class.</dd>
</dl>
</li>
</ul>
<a name="totalLogins-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>totalLogins</h4>
<pre>public&nbsp;<a href="../../../../../../../../../com/openbravo/test/integration/erp/data/generalsetup/application/heartbeatconfiguration/HeartbeatLogData.Builder.html" title="class in com.openbravo.test.integration.erp.data.generalsetup.application.heartbeatconfiguration">HeartbeatLogData.Builder</a>&nbsp;totalLogins(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;value)</pre>
<div class="block">Set the totalLogins value
 
 Description: Total number of logins</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>value</code> - The totalLogins value.</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The builder for this class.</dd>
</dl>
</li>
</ul>
<a name="lastLogin-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>lastLogin</h4>
<pre>public&nbsp;<a href="../../../../../../../../../com/openbravo/test/integration/erp/data/generalsetup/application/heartbeatconfiguration/HeartbeatLogData.Builder.html" title="class in com.openbravo.test.integration.erp.data.generalsetup.application.heartbeatconfiguration">HeartbeatLogData.Builder</a>&nbsp;lastLogin(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;value)</pre>
<div class="block">Set the lastLogin value
 
 Description: Date of last login in the application</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>value</code> - The lastLogin value.</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The builder for this class.</dd>
</dl>
</li>
</ul>
<a name="firstLogin-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>firstLogin</h4>
<pre>public&nbsp;<a href="../../../../../../../../../com/openbravo/test/integration/erp/data/generalsetup/application/heartbeatconfiguration/HeartbeatLogData.Builder.html" title="class in com.openbravo.test.integration.erp.data.generalsetup.application.heartbeatconfiguration">HeartbeatLogData.Builder</a>&nbsp;firstLogin(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;value)</pre>
<div class="block">Set the firstLogin value
 
 Description: Date of first login in the application</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>value</code> - The firstLogin value.</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The builder for this class.</dd>
</dl>
</li>
</ul>
<a name="activationKeyIdentifier-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>activationKeyIdentifier</h4>
<pre>public&nbsp;<a href="../../../../../../../../../com/openbravo/test/integration/erp/data/generalsetup/application/heartbeatconfiguration/HeartbeatLogData.Builder.html" title="class in com.openbravo.test.integration.erp.data.generalsetup.application.heartbeatconfiguration">HeartbeatLogData.Builder</a>&nbsp;activationKeyIdentifier(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;value)</pre>
<div class="block">Set the activationKeyIdentifier value
 
 Description: It is an identifier for activation key</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>value</code> - The activationKeyIdentifier value.</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The builder for this class.</dd>
</dl>
</li>
</ul>
<a name="installedModules-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>installedModules</h4>
<pre>public&nbsp;<a href="../../../../../../../../../com/openbravo/test/integration/erp/data/generalsetup/application/heartbeatconfiguration/HeartbeatLogData.Builder.html" title="class in com.openbravo.test.integration.erp.data.generalsetup.application.heartbeatconfiguration">HeartbeatLogData.Builder</a>&nbsp;installedModules(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;value)</pre>
<div class="block">Set the installedModules value
 
 Description: List of the modules installed in the instance</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>value</code> - The installedModules value.</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The builder for this class.</dd>
</dl>
</li>
</ul>
<a name="macIdentifier-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>macIdentifier</h4>
<pre>public&nbsp;<a href="../../../../../../../../../com/openbravo/test/integration/erp/data/generalsetup/application/heartbeatconfiguration/HeartbeatLogData.Builder.html" title="class in com.openbravo.test.integration.erp.data.generalsetup.application.heartbeatconfiguration">HeartbeatLogData.Builder</a>&nbsp;macIdentifier(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;value)</pre>
<div class="block">Set the macIdentifier value
 
 Description: Mac Address Identifier</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>value</code> - The macIdentifier value.</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The builder for this class.</dd>
</dl>
</li>
</ul>
<a name="databaseIdentifier-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>databaseIdentifier</h4>
<pre>public&nbsp;<a href="../../../../../../../../../com/openbravo/test/integration/erp/data/generalsetup/application/heartbeatconfiguration/HeartbeatLogData.Builder.html" title="class in com.openbravo.test.integration.erp.data.generalsetup.application.heartbeatconfiguration">HeartbeatLogData.Builder</a>&nbsp;databaseIdentifier(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;value)</pre>
<div class="block">Set the databaseIdentifier value
 
 Description: Unique Identifier of the instance's database</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>value</code> - The databaseIdentifier value.</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The builder for this class.</dd>
</dl>
</li>
</ul>
<a name="beatType-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>beatType</h4>
<pre>public&nbsp;<a href="../../../../../../../../../com/openbravo/test/integration/erp/data/generalsetup/application/heartbeatconfiguration/HeartbeatLogData.Builder.html" title="class in com.openbravo.test.integration.erp.data.generalsetup.application.heartbeatconfiguration">HeartbeatLogData.Builder</a>&nbsp;beatType(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;value)</pre>
<div class="block">Set the beatType value
 
 Description: Type of beat</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>value</code> - The beatType value.</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The builder for this class.</dd>
</dl>
</li>
</ul>
<a name="codeRevision-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>codeRevision</h4>
<pre>public&nbsp;<a href="../../../../../../../../../com/openbravo/test/integration/erp/data/generalsetup/application/heartbeatconfiguration/HeartbeatLogData.Builder.html" title="class in com.openbravo.test.integration.erp.data.generalsetup.application.heartbeatconfiguration">HeartbeatLogData.Builder</a>&nbsp;codeRevision(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;value)</pre>
<div class="block">Set the codeRevision value
 
 Description: The code revision of the installed system</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>value</code> - The codeRevision value.</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The builder for this class.</dd>
</dl>
</li>
</ul>
<a name="webServerVersion-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>webServerVersion</h4>
<pre>public&nbsp;<a href="../../../../../../../../../com/openbravo/test/integration/erp/data/generalsetup/application/heartbeatconfiguration/HeartbeatLogData.Builder.html" title="class in com.openbravo.test.integration.erp.data.generalsetup.application.heartbeatconfiguration">HeartbeatLogData.Builder</a>&nbsp;webServerVersion(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;value)</pre>
<div class="block">Set the webServerVersion value
 
 Description: The version of Web Server</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>value</code> - The webServerVersion value.</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The builder for this class.</dd>
</dl>
</li>
</ul>
<a name="numberOfRegisteredUsers-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>numberOfRegisteredUsers</h4>
<pre>public&nbsp;<a href="../../../../../../../../../com/openbravo/test/integration/erp/data/generalsetup/application/heartbeatconfiguration/HeartbeatLogData.Builder.html" title="class in com.openbravo.test.integration.erp.data.generalsetup.application.heartbeatconfiguration">HeartbeatLogData.Builder</a>&nbsp;numberOfRegisteredUsers(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;value)</pre>
<div class="block">Set the numberOfRegisteredUsers value
 
 Description: Number of registered users.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>value</code> - The numberOfRegisteredUsers value.</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The builder for this class.</dd>
</dl>
</li>
</ul>
<a name="openbravoInstallMode-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>openbravoInstallMode</h4>
<pre>public&nbsp;<a href="../../../../../../../../../com/openbravo/test/integration/erp/data/generalsetup/application/heartbeatconfiguration/HeartbeatLogData.Builder.html" title="class in com.openbravo.test.integration.erp.data.generalsetup.application.heartbeatconfiguration">HeartbeatLogData.Builder</a>&nbsp;openbravoInstallMode(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;value)</pre>
<div class="block">Set the openbravoInstallMode value
 
 Description: The method used to install Openbravo.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>value</code> - The openbravoInstallMode value.</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The builder for this class.</dd>
</dl>
</li>
</ul>
<a name="openbravoVersion-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>openbravoVersion</h4>
<pre>public&nbsp;<a href="../../../../../../../../../com/openbravo/test/integration/erp/data/generalsetup/application/heartbeatconfiguration/HeartbeatLogData.Builder.html" title="class in com.openbravo.test.integration.erp.data.generalsetup.application.heartbeatconfiguration">HeartbeatLogData.Builder</a>&nbsp;openbravoVersion(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;value)</pre>
<div class="block">Set the openbravoVersion value
 
 Description: The version of Openbravo.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>value</code> - The openbravoVersion value.</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The builder for this class.</dd>
</dl>
</li>
</ul>
<a name="antVersion-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>antVersion</h4>
<pre>public&nbsp;<a href="../../../../../../../../../com/openbravo/test/integration/erp/data/generalsetup/application/heartbeatconfiguration/HeartbeatLogData.Builder.html" title="class in com.openbravo.test.integration.erp.data.generalsetup.application.heartbeatconfiguration">HeartbeatLogData.Builder</a>&nbsp;antVersion(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;value)</pre>
<div class="block">Set the antVersion value
 
 Description: The version of Ant used to build the application.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>value</code> - The antVersion value.</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The builder for this class.</dd>
</dl>
</li>
</ul>
<a name="javaVersion-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>javaVersion</h4>
<pre>public&nbsp;<a href="../../../../../../../../../com/openbravo/test/integration/erp/data/generalsetup/application/heartbeatconfiguration/HeartbeatLogData.Builder.html" title="class in com.openbravo.test.integration.erp.data.generalsetup.application.heartbeatconfiguration">HeartbeatLogData.Builder</a>&nbsp;javaVersion(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;value)</pre>
<div class="block">Set the javaVersion value
 
 Description: Java Version</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>value</code> - The javaVersion value.</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The builder for this class.</dd>
</dl>
</li>
</ul>
<a name="webServer-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>webServer</h4>
<pre>public&nbsp;<a href="../../../../../../../../../com/openbravo/test/integration/erp/data/generalsetup/application/heartbeatconfiguration/HeartbeatLogData.Builder.html" title="class in com.openbravo.test.integration.erp.data.generalsetup.application.heartbeatconfiguration">HeartbeatLogData.Builder</a>&nbsp;webServer(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;value)</pre>
<div class="block">Set the webServer value
 
 Description: The Web Server being used by Openbravo</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>value</code> - The webServer value.</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The builder for this class.</dd>
</dl>
</li>
</ul>
<a name="servletContainerVersion-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>servletContainerVersion</h4>
<pre>public&nbsp;<a href="../../../../../../../../../com/openbravo/test/integration/erp/data/generalsetup/application/heartbeatconfiguration/HeartbeatLogData.Builder.html" title="class in com.openbravo.test.integration.erp.data.generalsetup.application.heartbeatconfiguration">HeartbeatLogData.Builder</a>&nbsp;servletContainerVersion(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;value)</pre>
<div class="block">Set the servletContainerVersion value
 
 Description: The version of Servlet Container Openbravo runs in.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>value</code> - The servletContainerVersion value.</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The builder for this class.</dd>
</dl>
</li>
</ul>
<a name="servletContainer-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>servletContainer</h4>
<pre>public&nbsp;<a href="../../../../../../../../../com/openbravo/test/integration/erp/data/generalsetup/application/heartbeatconfiguration/HeartbeatLogData.Builder.html" title="class in com.openbravo.test.integration.erp.data.generalsetup.application.heartbeatconfiguration">HeartbeatLogData.Builder</a>&nbsp;servletContainer(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;value)</pre>
<div class="block">Set the servletContainer value
 
 Description: The type of servlet container Openbravo runs in.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>value</code> - The servletContainer value.</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The builder for this class.</dd>
</dl>
</li>
</ul>
<a name="databaseVersion-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>databaseVersion</h4>
<pre>public&nbsp;<a href="../../../../../../../../../com/openbravo/test/integration/erp/data/generalsetup/application/heartbeatconfiguration/HeartbeatLogData.Builder.html" title="class in com.openbravo.test.integration.erp.data.generalsetup.application.heartbeatconfiguration">HeartbeatLogData.Builder</a>&nbsp;databaseVersion(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;value)</pre>
<div class="block">Set the databaseVersion value
 
 Description: The version of database.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>value</code> - The databaseVersion value.</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The builder for this class.</dd>
</dl>
</li>
</ul>
<a name="database-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>database</h4>
<pre>public&nbsp;<a href="../../../../../../../../../com/openbravo/test/integration/erp/data/generalsetup/application/heartbeatconfiguration/HeartbeatLogData.Builder.html" title="class in com.openbravo.test.integration.erp.data.generalsetup.application.heartbeatconfiguration">HeartbeatLogData.Builder</a>&nbsp;database(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;value)</pre>
<div class="block">Set the database value
 
 Description: The database in use by the system.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>value</code> - The database value.</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The builder for this class.</dd>
</dl>
</li>
</ul>
<a name="operatingSystemVersion-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>operatingSystemVersion</h4>
<pre>public&nbsp;<a href="../../../../../../../../../com/openbravo/test/integration/erp/data/generalsetup/application/heartbeatconfiguration/HeartbeatLogData.Builder.html" title="class in com.openbravo.test.integration.erp.data.generalsetup.application.heartbeatconfiguration">HeartbeatLogData.Builder</a>&nbsp;operatingSystemVersion(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;value)</pre>
<div class="block">Set the operatingSystemVersion value
 
 Description: The version of Operating System.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>value</code> - The operatingSystemVersion value.</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The builder for this class.</dd>
</dl>
</li>
</ul>
<a name="operatingSystem-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>operatingSystem</h4>
<pre>public&nbsp;<a href="../../../../../../../../../com/openbravo/test/integration/erp/data/generalsetup/application/heartbeatconfiguration/HeartbeatLogData.Builder.html" title="class in com.openbravo.test.integration.erp.data.generalsetup.application.heartbeatconfiguration">HeartbeatLogData.Builder</a>&nbsp;operatingSystem(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;value)</pre>
<div class="block">Set the operatingSystem value
 
 Description: The type of Operating System.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>value</code> - The operatingSystem value.</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The builder for this class.</dd>
</dl>
</li>
</ul>
<a name="complexityRate-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>complexityRate</h4>
<pre>public&nbsp;<a href="../../../../../../../../../com/openbravo/test/integration/erp/data/generalsetup/application/heartbeatconfiguration/HeartbeatLogData.Builder.html" title="class in com.openbravo.test.integration.erp.data.generalsetup.application.heartbeatconfiguration">HeartbeatLogData.Builder</a>&nbsp;complexityRate(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;value)</pre>
<div class="block">Set the complexityRate value
 
 Description: The rate of complexity within the system.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>value</code> - The complexityRate value.</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The builder for this class.</dd>
</dl>
</li>
</ul>
<a name="activityRate-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>activityRate</h4>
<pre>public&nbsp;<a href="../../../../../../../../../com/openbravo/test/integration/erp/data/generalsetup/application/heartbeatconfiguration/HeartbeatLogData.Builder.html" title="class in com.openbravo.test.integration.erp.data.generalsetup.application.heartbeatconfiguration">HeartbeatLogData.Builder</a>&nbsp;activityRate(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;value)</pre>
<div class="block">Set the activityRate value
 
 Description: The rate of activity within the system.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>value</code> - The activityRate value.</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The builder for this class.</dd>
</dl>
</li>
</ul>
<a name="proxyPort-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>proxyPort</h4>
<pre>public&nbsp;<a href="../../../../../../../../../com/openbravo/test/integration/erp/data/generalsetup/application/heartbeatconfiguration/HeartbeatLogData.Builder.html" title="class in com.openbravo.test.integration.erp.data.generalsetup.application.heartbeatconfiguration">HeartbeatLogData.Builder</a>&nbsp;proxyPort(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;value)</pre>
<div class="block">Set the proxyPort value
 
 Description: Proxy port on the proxy server used to access the internet.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>value</code> - The proxyPort value.</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The builder for this class.</dd>
</dl>
</li>
</ul>
<a name="proxyServer-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>proxyServer</h4>
<pre>public&nbsp;<a href="../../../../../../../../../com/openbravo/test/integration/erp/data/generalsetup/application/heartbeatconfiguration/HeartbeatLogData.Builder.html" title="class in com.openbravo.test.integration.erp.data.generalsetup.application.heartbeatconfiguration">HeartbeatLogData.Builder</a>&nbsp;proxyServer(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;value)</pre>
<div class="block">Set the proxyServer value
 
 Description: Proxy server used to access the internet.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>value</code> - The proxyServer value.</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The builder for this class.</dd>
</dl>
</li>
</ul>
<a name="proxyRequired-java.lang.Boolean-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>proxyRequired</h4>
<pre>public&nbsp;<a href="../../../../../../../../../com/openbravo/test/integration/erp/data/generalsetup/application/heartbeatconfiguration/HeartbeatLogData.Builder.html" title="class in com.openbravo.test.integration.erp.data.generalsetup.application.heartbeatconfiguration">HeartbeatLogData.Builder</a>&nbsp;proxyRequired(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Boolean.html?is-external=true" title="class or interface in java.lang">Boolean</a>&nbsp;value)</pre>
<div class="block">Set the proxyRequired value
 
 Description: Proxy configuration required to access internet.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>value</code> - The proxyRequired value.</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The builder for this class.</dd>
</dl>
</li>
</ul>
<a name="systemIdentifier-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>systemIdentifier</h4>
<pre>public&nbsp;<a href="../../../../../../../../../com/openbravo/test/integration/erp/data/generalsetup/application/heartbeatconfiguration/HeartbeatLogData.Builder.html" title="class in com.openbravo.test.integration.erp.data.generalsetup.application.heartbeatconfiguration">HeartbeatLogData.Builder</a>&nbsp;systemIdentifier(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;value)</pre>
<div class="block">Set the systemIdentifier value
 
 Description: Unique ID identying this instance of Openbravo.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>value</code> - The systemIdentifier value.</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The builder for this class.</dd>
</dl>
</li>
</ul>
<a name="creationDate-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>creationDate</h4>
<pre>public&nbsp;<a href="../../../../../../../../../com/openbravo/test/integration/erp/data/generalsetup/application/heartbeatconfiguration/HeartbeatLogData.Builder.html" title="class in com.openbravo.test.integration.erp.data.generalsetup.application.heartbeatconfiguration">HeartbeatLogData.Builder</a>&nbsp;creationDate(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;value)</pre>
<div class="block">Set the creationDate value
 
 Description: The date that this record is completed.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>value</code> - The creationDate value.</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The builder for this class.</dd>
</dl>
</li>
</ul>
<a name="build--">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>build</h4>
<pre>public&nbsp;<a href="../../../../../../../../../com/openbravo/test/integration/erp/data/generalsetup/application/heartbeatconfiguration/HeartbeatLogData.html" title="class in com.openbravo.test.integration.erp.data.generalsetup.application.heartbeatconfiguration">HeartbeatLogData</a>&nbsp;build()</pre>
<div class="block">Build the data object.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The data object</dd>
</dl>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../../../../../com/openbravo/test/integration/erp/data/generalsetup/application/heartbeatconfiguration/HeartbeatLogData.html" title="class in com.openbravo.test.integration.erp.data.generalsetup.application.heartbeatconfiguration"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../../../../../../../com/openbravo/test/integration/erp/data/generalsetup/application/heartbeatconfiguration/ResultsData.html" title="class in com.openbravo.test.integration.erp.data.generalsetup.application.heartbeatconfiguration"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../../../../../index.html?com/openbravo/test/integration/erp/data/generalsetup/application/heartbeatconfiguration/HeartbeatLogData.Builder.html" target="_top">Frames</a></li>
<li><a href="HeartbeatLogData.Builder.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy"><small><i>Copyright &#169; 2015 Openbravo. All Rights Reserved.</i></small></p>
</body>
</html>
